(function() {
	/*
	 * 端末情報取得
	 */
	getDeviceInfo = function() {
		var dump = "";
		dump += "端末名："                 + applican.device.name          + "\n";
		dump += "プラットフォーム："       + applican.device.platform      + "\n";
		dump += "UUID："                   + applican.device.uuid          + "\n";
		dump += "UUID_RFC4122："           + applican.device.uuid_rfc4122  + "\n";
		dump += "OSのバージョン："         + applican.device.version       + "\n";
		dump += "アプリカンのバージョン：" + applican.device.applican      + "\n";
		dump += "アプリの種類："           + applican.device.applican_type + "\n";
		dump += "パッケージ名："           + applican.device.package_name;
		document.getElementById("dumpAreaDevice").value = dump;
		alert(dump);
	};

	/*
	 * Push通知用トークン取得
	 */
	getPushToken = function() {
		applican.device.getPushToken(getPushTokenSuccess, getPushTokenError);
	};

	/*
	 * Push通知用トークン取得成功時のcallback処理
	 */
	function getPushTokenSuccess(res) {
		var dump = "Push通知用トークン：" + res.pushToken;
		document.getElementById("dumpAreaDevice").value = dump;
		alert(dump);
	}

	/*
	 * Push通知用トークン取得に失敗時の処理
	 */
	function getPushTokenError() {
		alert("Push通知用トークン取得に失敗しました。");
	}

	/*
	 * 画面解像度と現在の画面の向取得
	 */
	getDisplayInfo = function() {
		applican.device.getDisplayInfo(getDisplayInfoSuccess, getDisplayInfoError);
	};

	/*
	 * 画面解像度と現在の画面の向取得成功時のcallback処理
	 * 引数の構成：
	 * 	orientation		現在の画面の向き。“PORTRAIT” 又は “LANDSCAPE”
	 * 	width			WebViewエリアの実解像度幅。
	 * 	height			WebViewエリアの実解像度高さ
	 */
	function getDisplayInfoSuccess(info) {
		var dump = "";
		dump += "画面の向き："   + info.orientation + "\n";
		dump += "実解像度幅："   + info.width       + "\n";
		dump += "実解像度高さ：" + info.height      + "\n";
		document.getElementById("dumpAreaDevice").value = dump;
		alert(dump);
	}

	/*
	 * 画面解像度と現在の画面の向取得に失敗時の処理
	 */
	function getDisplayInfoError() {
		alert("画面解像度と現在の画面の向取得に失敗しました。");
	}

	/*
	 * 広告用ID取得
	 */
	getAdvertisingId = function() {
		applican.device.getAdvertisingId(getAdvertisingIdSuccess, getAdvertisingIdError);
	};

	/*
	 * 広告用ID取得成功時のcallback処理
	 * 引数の構成：
	 * 	adid 広告用ID
	 */
	function getAdvertisingIdSuccess(adid) {
		var dump = "広告用ID：" + adid;
		document.getElementById("dumpAreaDevice").value = dump;
		alert(dump);
	}

	/*
	 * 広告用ID取得に失敗時の処理
	 */
	function getAdvertisingIdError() {
		alert("広告用ID取得に失敗しました。");
	}

	/*
	 * 画面常時点灯(ON/OFF)切り替える
	 */
	screenSwitch = function(btnObject, screenOnFlag) {
		if(screenOnFlag) {
			btnObject.className = "btn btn-primary"; //「ON」ボタン
			btnObject.previousElementSibling.className = "btn btn-default"; //「OFF」ボタン
		} else {
			btnObject.className = "btn btn-primary"; //「OFF」ボタン
			btnObject.nextElementSibling.className = "btn btn-default"; //「ON」ボタン
		}
		applican.device.keepScreenOn(screenOnFlag);
	};

	/*
	 * 画面輝度レベルの取得
	 */
	 getScreenBacklightLevel = function() {
		 applican.device.getScreenBacklightLevel(getScreenBacklightLevelSuccess, getScreenBacklightLevelError);
	 };

	 /*
	 * 画面輝度レベルの取得成功時のcallback処理
	 */
	function getScreenBacklightLevelSuccess(level) {
		var dump = "画面輝度レベル：" + level;
		document.getElementById("dumpAreaDevice").value = dump;
		alert(dump);
	}

	/*
	 * 画面輝度レベルの取得失敗時のcallback処理
	 */
	function getScreenBacklightLevelError() {
		alert("画面輝度レベル取得に失敗しました。");
	}

	/*
	 * 画面輝度レベルの設定
	 */
	 setScreenBacklightLevel = function() {
		 var levelSet = Number(document.getElementById("BacklightLevel").value);
		 applican.device.setScreenBacklightLevel(levelSet, setScreenBacklightLevelSuccess, setScreenBacklightLevelError);
	 };

	 /*
	 * 画面輝度レベルの設定成功時のcallback処理
	 */
	function setScreenBacklightLevelSuccess() {
		alert("画面輝度レベルの設定に成功しました。");
	}

	/*
	* 画面輝度レベルの設定失敗時のcallback処理
	*/
	function setScreenBacklightLevelError() {
		alert("画面輝度レベルの設定に失敗しました。");
	}

	/*
	 * アプリの設定画面を開く
	 */
	 showApplicationSettings = function() {
		 var message = 'アプリ設定を開きます';
		 var title = 'アプリ設定タイトル';
		 var buttonName = 'OK';
		 applican.device.showApplicationSettings(message, showApplicationSettingsSuccess, showApplicationSettingsError, title, buttonName);
	 };

	 /*
	 * アプリの設定画面を開く成功時のcallback処理
	 */
	function showApplicationSettingsSuccess() {
		alert("画面輝度レベルの設定に成功しました。");
	}

	/*
	* アプリの設定画面を開く失敗時のcallback処理
	*/
	function showApplicationSettingsError() {
		alert("画面輝度レベルの設定に失敗しました。");
	}

	/********************* イベント登録 *********************/
	document.addEventListener("deviceready", function() {
		// 「端末情報取得」ボタン押下処理
		document.getElementById("btnDeviceInfo").addEventListener("touchend", getDeviceInfo, false);
		// 「Push通知用トークン取得」ボタン押下処理
		document.getElementById("btnPushToken").addEventListener("touchend", getPushToken, false);
		// 「画面解像度取得」ボタン押下処理
		document.getElementById("btnDisplayInfo").addEventListener("touchend", getDisplayInfo, false);
		// 「広告用ID取得」ボタン押下処理
		document.getElementById("btnAdvertisingId").addEventListener("touchend", getAdvertisingId, false);
		// 「画面輝度レベルの取得」ボタン押下処理
		document.getElementById("btngetScreenBacklightLevel").addEventListener("touchend", getScreenBacklightLevel , false);
		// 「画面輝度レベルの設定」ボタン押下処理
		document.getElementById("btnsetScreenBacklightLevel").addEventListener("touchend", setScreenBacklightLevel , false);
		// 「アプリの設定画面を開く」ボタン押下処理
		document.getElementById("btnshowApplicationSettings").addEventListener("touchend", showApplicationSettings , false);
		// 「画面常時点灯・OFF」ボタン押下処理
		document.getElementById("btnScreenOff").addEventListener("touchend", function() {
			screenSwitch(this, false);
		}, false);
		// 「画面常時点灯・ON」ボタン押下処理
		document.getElementById("btnScreenOn").addEventListener("touchend", function() {
			screenSwitch(this, true);
		}, false);
		// 「懐中電灯・OFF」ボタン押下処理
		document.getElementById("btnLightOff").addEventListener("touchend", function() {
			lightSwitch(this, false);
		}, false);
		// 「懐中電灯・ON」ボタン押下処理
		document.getElementById("btnLightOn").addEventListener("touchend", function() {
			lightSwitch(this, true);
		}, false);
	});
})();
